Bug 144891 - Clicking Album name opens 5 tabs that have nothing to do with the album
Clicking Album name opens 5 tabs that have nothing to do with the album
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-12 10:37 EST by Dan Williams
Modified: 2013-03-13 00:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.9.4-1.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 12:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2005-01-12 10:37:08 EST
So, I click on "Walking on a thin line" which is the album title at
the top of RB and it opens firefox with these tabs:

1) http://www.allmusic.com/
2) http://www.nytimes.com/
3) http://www.yourdictionary.com/
4) http://www.pbs.org/wgbh/nova/thin/
5) http://www.yourdictionary.com/

Opening firefox by clicking its icon in the panel gives me one blank
tab, like I set it up to have.

FC3 rhythmbox, rhythmbox-0.8.8-1
Comment 1 Msquared 2005-04-04 07:15:03 EDT
I think this is a bug in the way that RB calls the browser.  It should probably
quote or url-encode the album or band name.

The number of tabs opened is dependent on the number of words in the album or
band name.

I clicked on The Real Thing (a Faith No More album) and ended up with three
tabs.  The first was http://www.allmusic.com/cg/amg.dll?p=amg&opt1=2&sql=The,
the second was http://www.real.com/player/?lang=en&loc=au&src=intl_au-home
(RealPlayer download page), and the third was
http://www.imdb.com/title/tt0084787/ (for the movie "The Thing").

I think the second and third are base on search results initated by Firefox.

This problem still exists in FC4t1.
Comment 2 John Thacker 2006-04-20 12:10:36 EDT
Ah, I remember this one.  Fixed in 0.9.4-1.fc5.1, which is currently in
updates-testing for FC5 and will get pushed as an update soon.  From the changelog:

2006-03-14  William Jon McCann  <mccann@jhu.edu>

        * widgets/rb-header.c (rb_header_sync): Escape album and
        artist before adding to markup.

Note You need to log in before you can comment on or make changes to this bug.